# (c) 2001  STMicroelectronics **********************
#
#PROJECT : ST7 USB Full Speed Library
#
#VERSION : 1.10 
#
#CREATION DATE :  10/10/2001
#
#AUTHOR : MICROCONTROLLER DIVISION / ST Rousset
#
#-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-
#
#
#************************* EXECUTABLE COMMAND DEFINES *************************/

PRODUCT = 7hub

ENV = 	default.env
CC  =   $(COMP) $(FLAGS)

CONF = mcu_conf.h map_$(PRODUCT).h
USBH = usb_reg.h usb_def.h usb_lib.h usb_eps.h user_usb.h

#************************** OBJECT FILES DEFINES ******************************

USB_LIST = usb_hub.o usb_lib.o usb_int.o usb_ep1.o usb_ep2.o usb_ep3.o usb_ep4.o usb_ep5.o usb_eps.o
OBJ_LIST = main.o application.o map_$(PRODUCT).o descriptor.o user_usb.o
               
#******************************************************************************
USB_FS_$(PRODUCT).abs : 	$(ENV) $(OBJ_LIST) usb.lib USB_FS_$(PRODUCT).prm
	$(LINK) USB_FS_$(PRODUCT).prm

#*** BURNING ***

	$(BURN) -f Burner_$(PRODUCT).cmd
		
#******************************************************************************

main.o:		$(ENV) main.c usb_lib.h $(CONF)
	$(CC) main.c

application.o: 	$(ENV) application.c $(CONF) $(USBH)
	$(CC) application.c
	
map_$(PRODUCT).o :	$(ENV) map_$(PRODUCT).c
	$(CC) map_$(PRODUCT).c

user_usb.o : $(ENV) user_usb.c $(USBH) $(CONF) descriptor.h
	$(CC) user_usb.c

descriptor.o : $(ENV) descriptor.c descriptor.h usb_lib.h
	$(CC) descriptor.c

#***** USB files **************************************************************
usb.lib: $(ENV) $(USB_LIST) usb_lib_$(PRODUCT).ln
	$(LIBM) usb_lib_$(PRODUCT).ln

usb_lib.o : $(ENV) usb_lib.c $(CONF) $(USBH)
	$(CC) usb_lib.c

usb_hub.o : $(ENV) usb_hub.c $(CONF)
	$(CC) usb_hub.c

int_usb.o : $(ENV) int_usb.c $(CONF) $(USBH)
	$(CC) int_usb.c

usb_int.o: $(ENV) usb_int.c mcu_conf.h usb_libs.h $(USBH)
	$(CC) usb_int.c

usb_ep1.o : $(ENV) $(CONF) $(USBH) usb_ep1.c
	$(CC) usb_ep1.c

usb_ep2.o : $(ENV) $(CONF) $(USBH) usb_ep2.c
	$(CC) usb_ep2.c

usb_ep3.o : $(ENV) $(CONF) $(USBH) usb_ep3.c
	$(CC) usb_ep3.c

usb_ep4.o : $(ENV) $(CONF) $(USBH) usb_ep4.c
	$(CC) usb_ep4.c

usb_ep5.o : $(ENV) $(CONF) $(USBH) usb_ep5.c
	$(CC) usb_ep5.c

usb_eps.o: usb_eps.h usb_eps.c
	$(CC) usb_eps.c

# EOF