/**************** (c) 2000  STMicroelectronics **********************

PROJECT : USB - ST7 FULL SPEED

VERSION :  v 0.96

CREATION DATE :  01/12/2000

AUTHOR : MICROCONTROLLER DIVISION / ST Rousset

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS : 

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

DESCRIPTION : ST7SCR Hardware Register Mapping.

              This file contains the description of the hardware register of
              the ST7SCR IC. Variable forced to a fixed address.

              WARNING : this file need a specific LINKER configuration file !

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS :

******************************************************************************/
#include "stdtypes.h"
#include "map_7scr.h"

/********************************************/
/*	                 HW Reg             */
/********************************************/
/* A PORT REGISTERS */
#pragma DATA_SEG SHORT PORTA
volatile char PADR;                             /* PORT A : Data	 */
volatile char PADDR;                            /* Data Direction */
volatile char PAOR;                             /* PORT A : OR	 */

/* B PORT REGISTERS */
#pragma DATA_SEG SHORT PORTB
volatile char PBDR;                              /* PORT B : Data */
volatile char PBDDR;                             /* Data Direction*/
                        
/* C PORT REGISTERS */
#pragma DATA_SEG SHORT PORTC
volatile char PCDR;                              /* PORT C : Data */

/* D PORT REGISTERS */
#pragma DATA_SEG SHORT PORTD
volatile char PDDR;                              /* PORT D : Data  */
volatile char PDDDR;                             /* Data Direction */
volatile char PDOR;                             /* PORT D : OR	  */      

/* ISO UART REGISTERS */
#pragma DATA_SEG SHORT ISO_UART
volatile char SCICR;
volatile char SCISR;
volatile char SCCR;
volatile char SCETU;
volatile char SCE1;
volatile char GT0;
volatile char GT1;
volatile char CWT0;
volatile char CWT1;
volatile char CWT2;
volatile char IC;
volatile char IS;
volatile char TB;
volatile char RB;

/* WATCHDOG */
#pragma DATA_SEG SHORT WDG
volatile char WDGCR;                             /* Watchdog Control Register */     

/* MISCELLANEOUS */
#pragma DATA_SEG SHORT MISCR
volatile char MISCR1;                           /* Miscellaneous Register 1	*/
volatile char MISCR2;                           /* Miscellaneous Register 2	*/
volatile char MISCR3;                     	/* Miscellaneous Register 3	*/
volatile char MISCR4;                           /* Miscellaneous Register 4	*/

/* USB */
#pragma DATA_SEG SHORT USB
volatile char USBISTR;                              /* Interrupt StaTus Register*/
volatile char USBIMR;                               /* Interrupt Mask Register */
volatile char USBCTLR;                              /* Control Register */
volatile char DADDR;                             /* Device ADDress Register */
volatile char USBSR;                             /* USB Status Register */
volatile char EP0R;                              /* Endpoint 0 Register */
volatile char CNT0RXR;                           /* CouNT endp. 0 Reception Register */
volatile char CNT0TXR;                           /* CouNT endp. 0 Reception Register */
volatile char EP1TXR;                            /* Endpoint 1 Transmission Register */
volatile char CNT1TXR;                           /* CouNT endp. 1 Transmission Register */
volatile char EP2RXR;                            /* Endpoint 2 Reception Register */
volatile char CNT2RXR;                           /* CouNT endp. 2 Reception Register */
volatile char EP2TXR;                            /* Endpoint 2 Transmission Register */
volatile char CNT2TXR;                           /* CouNT endp. 2 Reception Register */
volatile char EP3TXR;                            /* Endpoint 3 Transmission Register */
volatile char CNT3TXR;                           /* CouNT endp. 3 Transmission Register */
volatile char EP4TXR;                            /* Endpoint 4 Transmission Register */
volatile char CNT4TXR;                           /* CouNT endp. 4 Transmission Register */
volatile char EP5TXR;                            /* Endpoint 5 Transmission Register */
volatile char CNT5TXR;                           /* CouNT endp. 5 Transmission Register */

/* TBU */
#pragma DATA_SEG SHORT TBU
volatile char TBUCV;
volatile char TBUCSR;

/* SW ITC */
#pragma DATA_SEG SHORT ITC
volatile char ITSPR0;                              /* Interrupt Software Priority Register 0 **modified */
volatile char ITSPR1;                              /* Interrupt Software Priority Register 1 **modified */
volatile char ITSPR2;                              /* Interrupt Software Priority Register 2 **modified */
volatile char ITSPR3;                              /* Interrupt Software Priority Register 3 **modified */

#pragma DATA_SEG SHORT OBS
volatile char USB_OBSR1;
volatile char USB_OBSR2;

#pragma DATA_SEG SHORT LEDCTRL
volatile char LED_CTRL; 

#pragma DATA_SEG EP0_OUT
volatile char EP0_OUT[8];

#pragma DATA_SEG EP0_IN		// Map user variables in USB DATA BUFFERS.
volatile char EP0_IN[8];  

#pragma DATA_SEG EP1_IN
volatile char EP1_IN[8];

#pragma DATA_SEG EP2_OUT
volatile char EP2_OUT[64];

#pragma DATA_SEG EP2_IN
volatile char EP2_IN[64];

#pragma DATA_SEG EP3_IN
volatile char EP3_IN[8];

#pragma DATA_SEG EP4_IN
volatile char EP4_IN[8];

#pragma DATA_SEG EP5_IN
volatile char EP5_IN[8];

#pragma DATA_SEG DEFAULT_RAM

/**************** (c) 2000  STMicroelectronics **********************/
