/**************** (c) 2000  STMicroelectronics **********************

PROJECT : USB - ST7 FULL SPEED

VERSION :  v 0.96

CREATION DATE :  01/12/2000

AUTHOR : MICROCONTROLLER DIVISION / ST Rousset

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS : 

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

DESCRIPTION : ST7SCR Hardware Register Mapping.

              This file contains the description of the hardware register of
              the ST7SCR IC. Variable forced to a fixed address.

              WARNING : this file need a specific LINKER configuration file !
              --> The .prm file !

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS :

******************************************************************************/

#ifndef MAP_72scr_H
#define MAP_72scr_H


/* A PORT REGISTERS */
#pragma DATA_SEG SHORT PORTA
extern volatile char PADR;                             /* PORT A : Data	 */
extern volatile char PADDR;                            /* Data Direction */
extern volatile char PAOR;                             /* PORT A : OR	 */

/* B PORT REGISTERS */
#pragma DATA_SEG SHORT PORTB
extern volatile char PBDR;                              /* PORT B : Data */
extern volatile char PBDDR;                             /* Data Direction*/
                        
/* C PORT REGISTERS */
#pragma DATA_SEG SHORT PORTC
extern volatile char PCDR;                              /* PORT C : Data */

/* D PORT REGISTERS */
#pragma DATA_SEG SHORT PORTD
extern volatile char PDDR;                              /* PORT D : Data  */
extern volatile char PDDDR;                             /* Data Direction */
extern volatile char PDOR;                             /* PORT D : OR	  */      

/* ISO UART REGISTERS */
#pragma DATA_SEG SHORT ISO_UART
extern volatile char SCICR;
extern volatile char SCISR;
extern volatile char SCCR;
extern volatile char SCETU;
extern volatile char SCE1;
extern volatile char GT0;
extern volatile char GT1;
extern volatile char CWT0;
extern volatile char CWT1;
extern volatile char CWT2;
extern volatile char IC;
extern volatile char IS;
extern volatile char TB;
extern volatile char RB;

/* WATCHDOG */
#pragma DATA_SEG SHORT WDG
extern volatile char WDGCR;                             /* Watchdog Control Register */     

/* MISCELLANEOUS */
#pragma DATA_SEG SHORT MISCR
extern volatile char MISCR1;                           /* Miscellaneous Register 1	*/
extern volatile char MISCR2;                           /* Miscellaneous Register 2	*/
extern volatile char MISCR3;                     	/* Miscellaneous Register 3	*/
extern volatile char MISCR4;                           /* Miscellaneous Register 4	*/

/* USB */
#pragma DATA_SEG SHORT USB
extern volatile char USBISTR;                              /* Interrupt StaTus Register*/
extern volatile char USBIMR;                               /* Interrupt Mask Register */
extern volatile char USBCTLR;                              /* Control Register */
extern volatile char DADDR;                             /* Device ADDress Register */
extern volatile char USBSR;                             /* USB Status Register */
extern volatile char EP0R;                              /* Endpoint 0 Register */
extern volatile char CNT0RXR;                           /* CouNT endp. 0 Reception Register */
extern volatile char CNT0TXR;                           /* CouNT endp. 0 Reception Register */
extern volatile char EP1TXR;                            /* Endpoint 1 Transmission Register */
extern volatile char CNT1TXR;                           /* CouNT endp. 1 Transmission Register */
extern volatile char EP2RXR;                            /* Endpoint 2 Reception Register */
extern volatile char CNT2RXR;                           /* CouNT endp. 2 Reception Register */
extern volatile char EP2TXR;                            /* Endpoint 2 Transmission Register */
extern volatile char CNT2TXR;                           /* CouNT endp. 2 Reception Register */
extern volatile char EP3TXR;                            /* Endpoint 3 Transmission Register */
extern volatile char CNT3TXR;                           /* CouNT endp. 3 Transmission Register */
extern volatile char EP4TXR;                            /* Endpoint 4 Transmission Register */
extern volatile char CNT4TXR;                           /* CouNT endp. 4 Transmission Register */
extern volatile char EP5TXR;                            /* Endpoint 5 Transmission Register */
extern volatile char CNT5TXR;                           /* CouNT endp. 5 Transmission Register */

/* TBU */
#pragma DATA_SEG SHORT TBU
extern volatile char TBUCV;
extern volatile char TBUCSR;

/* SW ITC */
#pragma DATA_SEG SHORT ITC
extern volatile char ITSPR0;                              /* Interrupt Software Priority Register 0 **modified */
extern volatile char ITSPR1;                              /* Interrupt Software Priority Register 1 **modified */
extern volatile char ITSPR2;                              /* Interrupt Software Priority Register 2 **modified */
extern volatile char ITSPR3;                              /* Interrupt Software Priority Register 3 **modified */

#pragma DATA_SEG SHORT OBS
extern volatile char USB_OBSR1;
extern volatile char USB_OBSR2;

#pragma DATA_SEG SHORT LEDCTRL
extern volatile char LED_CTRL;

#pragma DATA_SEG EP0_OUT
extern volatile char EP0_OUT[8];

#pragma DATA_SEG EP0_IN		// Map user variables in USB DATA BUFFERS.
extern volatile char EP0_IN[8];

#pragma DATA_SEG EP1_IN
extern volatile char EP1_IN[8];

#pragma DATA_SEG EP2_OUT
extern volatile char EP2_OUT[64];

#pragma DATA_SEG EP2_IN
extern volatile char EP2_IN[64];

#pragma DATA_SEG EP3_IN
extern volatile char EP3_IN[8];

#pragma DATA_SEG EP4_IN
extern volatile char EP4_IN[8];

#pragma DATA_SEG EP5_IN
extern volatile char EP5_IN[8];

#pragma DATA_SEG DEFAULT_RAM

#endif
/**************** (c) 2000  STMicroelectronics **********************/
