/**************** (c) 2001  STMicroelectronics *******************************

NAME:		application.c
PROJECT:	Sample code for ST7 USB Full Speed library
VERSION:	v 1.20
CREATION:	07/01/2002
AUTHOR:		MICROCONTROLLER DIVISION / ST Rousset

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

MODIFICATIONS : 

*****************************************************************************/
#include "mcu_conf.h"
#include "usb_lib.h"
#include "usb_eps.h"

#define ValBit(var, bit)        (var & (1 << bit))

#pragma	DATA_SEG	SHORT	_ZEROPAGE

char Seed_EP1;
char Seed_EP2;

#if defined(MCU_ST7HUB) || defined(MCU_ST7SCR)
char Seed_EP3;
char Seed_EP4;
char Seed_EP5;
#endif

static char EP2_State;
#define EP2_FREE	0
#define EP2_RECV	1
#define EP2_SEND	2

#pragma	DATA_SEG	EP2_BUF

#if defined(MCU_ST7HUB) || defined(MCU_ST7SCR)
char Data_EP2[120];
#endif

#ifdef MCU_ST7265
#ifdef MCU_ST72651
char Data_EP2[5];
#endif
#ifdef MCU_ST72652
char Data_EP2[120];
#endif
#endif

#pragma DATA_SEG APPLI_RAM
char Data_EP1[5];

#if defined(MCU_ST7HUB) || defined(MCU_ST7SCR)
char Data_EP3[10];
char Data_EP4[20];
char Data_EP5[32];
#endif

#pragma CODE_SEG APPLI_CODE

void Init_Application(void)
{
	EP2_State = EP2_FREE;
}

void Application(void)
{
	unsigned char count;

	if (vUSB_Configuration == 0)
		return;

	if (USB_EP1_isSent()) {
		for (count = 0; count < sizeof(Data_EP1); count++)
			Data_EP1[count] = Seed_EP1++;
		USB_SendDataEP1(Data_EP1, sizeof(Data_EP1));
	}

	switch (EP2_State) {
	case EP2_SEND:
		if (!USB_EP2_isSent())
			break;
	case EP2_FREE:
		USB_RecvDataEP2(Data_EP2, sizeof(Data_EP2));
		EP2_State = EP2_RECV;
		break;
	case EP2_RECV:
		if (USB_TakeDataEP2() == sizeof(Data_EP2)) {
			USB_SendDataEP2(Data_EP2, sizeof(Data_EP2));
			EP2_State = EP2_SEND;
		}
		break;
	}

#if defined(MCU_ST7HUB) || defined(MCU_ST7SCR)

	if (USB_EP3_isSent()) {
		for (count = 0; count < sizeof(Data_EP3); count++)
			Data_EP3[count] = Seed_EP3++;
		USB_SendDataEP3(Data_EP3, sizeof(Data_EP3));
	}
	if (USB_EP4_isSent()) {
		for (count = 0; count < sizeof(Data_EP4); count++)
			Data_EP4[count] = Seed_EP4++;
		USB_SendDataEP4(Data_EP4, sizeof(Data_EP4));
	}

	if (USB_EP5_isSent()) {
		for (count = 0; count < sizeof(Data_EP5); count++)
			Data_EP5[count] = Seed_EP5++;
		USB_SendDataEP5(Data_EP5, sizeof(Data_EP5));
	}

#endif

}

/*********************** (c) 2001  STMicroelectronics ***********************/
