/**************** (c) 2001  STMicroelectronics ********************************

NAME:		descriptor.h
PROJECT:	Sample descriptor for ST7 USB Full Speed library
VERSION:	v 1.20
CREATION:	07/01/2002
AUTHOR:		MICROCONTROLLER DIVISION / ST Rousset

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS : 

******************************************************************************/

#ifndef DESCRIPTOR_H
#define DESCRIPTOR_H                       

/**********************************************************************************/
/*						DESCRIPTORS FOR THE DEFAULT PRODUCT						  */	
/**********************************************************************************/

#define SIZE_DEVICE_DESC 18

#if defined(MCU_ST7HUB) || defined(MCU_ST7SCR)
#define SIZE_CONFIG_DESC 53
#endif
#ifdef MCU_ST7265
#define SIZE_CONFIG_DESC 32
#endif

#define NUM_STRING_DESC	4
#define SIZE_STRING_VENDOR	38
#define SIZE_STRING_PRODUCT	58
#define SIZE_STRING_SERIAL	22

/************************* Prototypes declaration section ******************************/

#pragma CONST_SEG	APPLI_CONST
extern const char Sample_DeviceDescriptor[];
extern const char Sample_ConfigurationDescriptor[];
extern const char Sample_StringDescriptor[];
extern const char Sample_VendorString[];
extern const char Sample_ProductString[];
extern const char Sample_SerialString[];

#endif	// DESCRIPTOR_H

/**************** (c) 2001  STMicroelectronics **********************/
