/**************** (c) 2001  STMicroelectronics ********************************

NAME:		main.c
PROJECT:	Sample code for ST7 USB Full Speed library
VERSION:	v 1.20
CREATION:	07/01/2002
AUTHOR:		MICROCONTROLLER DIVISION / ST Rousset

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS : 

******************************************************************************/
#include "mcu_conf.h"

#pragma CODE_SEG APPLI_CODE
void Init_RAM()
{
	char *pRAM;
	for (pRAM = (char*)0x200; pRAM <= (char*)RAM_END; pRAM++)
		*pRAM = 0;
}

void main( void )
{

#asm
	// To initialize the page 0
		ld	x,#RAM_START
loop0:
		clr	(x)
		inc	x
		jrne	loop0

	// To initialize the stack
		clr	a
loop1:
		ld	(0x100,x),a
		inc	x
		jrne	loop1
#endasm

	Init_RAM();			// Initialize all other RAM area

#ifdef MCU_ST7HUB
	Init_HUB();			//Initialize HUB
#endif

	Init_Application();	//Initialize application variables

	//Executive loops, runs continually after initialization
	while (1) {
#ifdef	USB_POLLING_MODEL
		USB_Polling();
#endif
		Application();
	}
}
