/**************** (c) 2000  STMicroelectronics *******************************

NAME:		usb_conf.h
PROJECT:	USB - ST7 FULL SPEED
VERSION:	v 1.20
CREATION:	03/01/2002
AUTHOR:		MICROCONTROLLER DIVISION / ST Rousset

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-
	This header file is used to configure the library for difference MCU
-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS : 

******************************************************************************/

#ifndef MCU_CONFIG_H
#define MCU_CONFIG_H

// Select one line from the following 3 lines
#define MCU_ST7HUB
//#define MCU_ST7SCR
//#define MCU_ST7265

//if you have selected MCU_ST7265, select the type of ST7265 : ST72651(16K) or ST72652(32K)
#ifdef MCU_ST7265
//#define MCU_ST72651
#define MCU_ST72652
#endif

// Select interrupt model by comment out the line below
// By default, the polling model is provided
#define USB_POLLING_MODEL

//#define LARGE_EP0		// Exchange more than 255 bytes on EP0
#define DECLARE_EP1		// Comment out this line if you do not use EP1
#define DECLARE_EP2		// Comment out this line if you do not use EP2

#if defined(MCU_ST7HUB) || defined(MCU_ST7SCR)
#define DECLARE_EP3		// Comment out this line if you do not use EP3
#define DECLARE_EP4		// Comment out this line if you do not use EP4
#define DECLARE_EP5		// Comment out this line if you do not use EP5
#endif

#ifdef MCU_ST7HUB
#define HUB_VID		0x0483	// VID of the HUB
#define HUB_PID		0x1234	// PID of the HUB
#endif

// Comment out this line if you want to run HUB in bus-powered
//#define HUB_SELF_POWER
// Comment out this line if you do not want external power control of the downstream ports
//#define HUB_EXT_PWCTL
/********************************************************************************************/
/********************************************************************************************/
/***********		DO  NOT  MODIFY  NOR  REMOVE  FOLLOWING SECTION					*********/
/********************************************************************************************/
/********************************************************************************************/
#ifdef MCU_ST7265
#ifdef __CSMC__
#include <io7265.h>
#else
#include "map_7265.h"
#endif
#endif

#ifdef MCU_ST7SCR
#ifdef __CSMC__
#include <io7SCR.h>
#else
#include "map_7SCR.h"
#endif
#endif

#ifdef MCU_ST7HUB
#ifdef __CSMC__
#include <io7hub.h>
#else
#include "map_7hub.h"
#endif
#define MCU_ST7SCR
#endif

#ifdef MCU_ST7265
	#define MAX_PACKET_SIZE		16		// Maximum payload on EP0
	#define MAX_EP1_PACKET_SIZE	16		// Maximum payload on EP1
	#define MAX_EP2_PACKET_SIZE	64		// Maximum payload on EP2
#endif
#ifdef MCU_ST7SCR
	#define MAX_PACKET_SIZE		8		// Maximum payload on EP0
	#define MAX_EP1_PACKET_SIZE	8		// Maximum payload on EP1
	#define MAX_EP2_PACKET_SIZE	64		// Maximum payload on EP2
	#define MAX_EP3_PACKET_SIZE	8		// Maximum payload on EP3
	#define MAX_EP4_PACKET_SIZE	8		// Maximum payload on EP4
	#define MAX_EP5_PACKET_SIZE	8		// Maximum payload on EP5
#endif

// Define the range of RAM
#ifdef MCU_ST7265

#ifdef MCU_ST72651
#define RAM_START	0x50
#define RAM_END		0x24F
#endif

#ifdef MCU_ST72652
#define RAM_START	0x50
#define RAM_END		0x144F
#endif

#endif
#ifdef MCU_ST7HUB
#define RAM_START	0x50
#define RAM_END		0x34F
#endif
#ifdef MCU_ST7SCR
#define RAM_START	0x50
#define RAM_END		0x34F
#endif

#include "usb_eps.h"

/********************************************************************/
#pragma DATA_SEG SHORT _ZEROPAGE
extern char _R_Z;
extern short _LEX, _SEX;

#endif	// MCU_CONFIG_H

/**************** (c) 2000  STMicroelectronics **********************/
